Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling font-lock-fontify-buffer from a hook

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Oct 2019 13:52:35 +0100

Alan Mackenzie <[email-masked]> writes:

> I am calling:
>
> emacs -Q --eval "(progn (add-hook 'prog-mode-hook #'font-lock-fontify-buffer) (setq debug-on-error t))" ~/emacs/emacs.bzr/trunk/src/xdisp.c
>
> using both emacs 24.3 and the trunk.  In 24.3, the processing is
> immediate (~2s), whereas in the trunk it takes ~28s.

This function still takes a long time when called from the hook, but in
2014 the function was marked interactive-only, so I don't think this is
something to be fixed -- at least not at this point.  So I'm closing the
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no